/*
  control.h

  Control actions needed by server and command line.

  $Id: control.h 32 2000-04-29 14:45:56Z enz $
*/

#ifndef CONTROL_H
#define CONTROL_H

#define	CANCEL_OK		0
#define	CANCEL_NO_SUCH_MSG	1
#define	CANCEL_NEEDS_MSG	2

/*
   Cancel a message. Return CANCEL_OK if completely cancelled,
   CANCEL_NO_SUCH_MSG if no message with that ID exists, and
   CANCEL_NEEDS_MSG if a 'cancel' message should be propagated upstream
   to cancel the message elsewhere.
 */
int
Ctrl_cancel( const char *msgId );

#endif
